from django.db import models


campus_opt = [
    ('Boys (Canal Campus)', 'Boys (Canal Campus)'),
    ('Girls (City Campus)', 'Girls (City Campus)')
]

program_opt = [
    ('ICS', 'ICS'),
    ('FSc Pre-Medical', 'FSc Pre-Medical'),
    ('FSc Pre-Engineering', 'FSc Pre-Engineering'),
    ('Pharmacy Technician/ B. Category', 'Pharmacy Technician/ B. Category'),
    ('Computer Certificate Course', 'Computer Certificate Course')
]

gender_opt = [
    ('Male', 'Male'),
    ('Female', 'Female')
]

exam_passed_opt = [
    ('Matric', 'Matric'),
    ('Ninth', 'Ninth'),
    ('F.A', 'F.A'),
    ('F.Sc', 'F.Sc'),
    ('B.A', 'B.A'),
    ('B.Sc', 'B.Sc')
]

# Create your models here.
class StudentAdmissions(models.Model):
    campus= models.CharField(max_length=100, choices=campus_opt, verbose_name='Campus')
    program = models.CharField(max_length=100, choices=program_opt, verbose_name='Program')
    student_name = models.CharField(max_length=100, verbose_name='Student Name')
    student_cnic = models.CharField(max_length=100, verbose_name='Student CNIC/ B.Form')
    father_name = models.CharField(max_length=100, verbose_name='Father Name')
    guardian_cnic= models.CharField(max_length=100, verbose_name='Parent/ Guardian CNIC')
    gender= models.CharField(max_length=100, choices=gender_opt, verbose_name='Gender')
    mobile= models.CharField(max_length=100, verbose_name='Mobile No')
    parent_mobile= models.CharField(max_length=100, verbose_name='Parent Contact No')
    email= models.EmailField(max_length=100, blank=True, verbose_name='Email')
    address= models.CharField(max_length=200, verbose_name='Address')
    last_exam_passed= models.CharField(max_length=100, choices=exam_passed_opt, verbose_name='Last Passed Exam')
    passing_year= models.IntegerField(verbose_name='Passing Year')
    board= models.CharField(max_length=100, verbose_name='Board')
    obtained_marks= models.IntegerField(verbose_name='Marks Obtained')
    total_marks= models.IntegerField(verbose_name='Total Marks')
    school = models.CharField(max_length=200, verbose_name='School')

    created_on = models.DateTimeField(auto_now=True)
    updated_on = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.campus



